<?php

namespace Lc\ShopBundle\Model;

use Doctrine\ORM\Mapping as ORM;
use Lc\ShopBundle\Context\StatusInterface;

trait StatusTrait
{
        /**
         * @ORM\Column(type="float")
         */
        protected $status;

        public function getStatus(): ?float
        {
                return $this->status;
        }

        public function setStatus(float $status): self
        {
                $this->status = $status;

                return $this;
        }
}